// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 51;
	objects = {

/* Begin PBXBuildFile section */
		2D80D52B2773528C00D24520 /* INAppConfigUtil.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2D80D52A2773528C00D24520 /* INAppConfigUtil.swift */; };
		415C49D22763022900814766 /* Resources.bundle in Resources */ = {isa = PBXBuildFile; fileRef = 415C49D12763022900814766 /* Resources.bundle */; };
		41A112792766E12C0093BBF0 /* PQConfig.plist in Resources */ = {isa = PBXBuildFile; fileRef = 41A112782766E12C0093BBF0 /* PQConfig.plist */; };
		41AA02822795579600597954 /* InfoPlist.strings in Resources */ = {isa = PBXBuildFile; fileRef = 41AA02842795579600597954 /* InfoPlist.strings */; };
		41B61B2D279ED11200F2AC54 /* INRecorderSetting.swift in Sources */ = {isa = PBXBuildFile; fileRef = 41B61B2C279ED11200F2AC54 /* INRecorderSetting.swift */; };
		4A426DDD275484DF00B3733B /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4A426DDC275484DF00B3733B /* AppDelegate.swift */; };
		4A426DE4275484DF00B3733B /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 4A426DE2275484DF00B3733B /* Main.storyboard */; };
		4A426DE6275484E000B3733B /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 4A426DE5275484E000B3733B /* Assets.xcassets */; };
		4A426DF22754A1E300B3733B /* INTabbarController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4A426DF12754A1E300B3733B /* INTabbarController.swift */; };
		4A426DF52754A27D00B3733B /* INRecorderController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4A426DF42754A27D00B3733B /* INRecorderController.swift */; };
		4A426DFA2754A47700B3733B /* INPhotoVideosController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4A426DF92754A47700B3733B /* INPhotoVideosController.swift */; };
		4A426DFC2754A4B200B3733B /* INIntroduceController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4A426DFB2754A4B200B3733B /* INIntroduceController.swift */; };
		4A426DFE2754A4F600B3733B /* INVideoExportController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4A426DFD2754A4F600B3733B /* INVideoExportController.swift */; };
		4AFE6042277DCF500068BB5F /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 4AFE6040277DCF500068BB5F /* LaunchScreen.storyboard */; };
		BFC6C47BC8163110D4E205C0 /* Pods_Introduce.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 3D67E85C017389B87957100F /* Pods_Introduce.framework */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		2D80D52A2773528C00D24520 /* INAppConfigUtil.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = INAppConfigUtil.swift; sourceTree = "<group>"; };
		2D80D52C27741AC100D24520 /* Introduce-Bridging-Header.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "Introduce-Bridging-Header.h"; sourceTree = "<group>"; };
		3051DB0957784182F3E1AAD3 /* Pods-Introduce.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Introduce.release.xcconfig"; path = "Target Support Files/Pods-Introduce/Pods-Introduce.release.xcconfig"; sourceTree = "<group>"; };
		3D67E85C017389B87957100F /* Pods_Introduce.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_Introduce.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		415C49D12763022900814766 /* Resources.bundle */ = {isa = PBXFileReference; lastKnownFileType = "wrapper.plug-in"; name = Resources.bundle; path = Aarchitecture/Resources.bundle; sourceTree = "<group>"; };
		4198337927955CCB00A430BC /* vi */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = vi; path = vi.lproj/Main.strings; sourceTree = "<group>"; };
		4198337A27955CCB00A430BC /* vi */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = vi; path = vi.lproj/LaunchScreen.strings; sourceTree = "<group>"; };
		4198337B27955CCB00A430BC /* vi */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = vi; path = vi.lproj/InfoPlist.strings; sourceTree = "<group>"; };
		4198338C2795651400A430BC /* en */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = en; path = en.lproj/InfoPlist.strings; sourceTree = "<group>"; };
		4198338D2795663800A430BC /* zh-Hans */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = "zh-Hans"; path = "zh-Hans.lproj/InfoPlist.strings"; sourceTree = "<group>"; };
		4198338F2795663A00A430BC /* ja */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = ja; path = ja.lproj/InfoPlist.strings; sourceTree = "<group>"; };
		419833912795683400A430BC /* ko-KR */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = "ko-KR"; path = "ko-KR.lproj/Main.strings"; sourceTree = "<group>"; };
		419833922795683400A430BC /* ko-KR */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = "ko-KR"; path = "ko-KR.lproj/LaunchScreen.strings"; sourceTree = "<group>"; };
		419833932795683500A430BC /* ko-KR */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = "ko-KR"; path = "ko-KR.lproj/InfoPlist.strings"; sourceTree = "<group>"; };
		41A112782766E12C0093BBF0 /* PQConfig.plist */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.plist.xml; path = PQConfig.plist; sourceTree = "<group>"; };
		41AA027E2795572300597954 /* ja */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = ja; path = ja.lproj/Main.strings; sourceTree = "<group>"; };
		41AA027F2795572300597954 /* ja */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = ja; path = ja.lproj/LaunchScreen.strings; sourceTree = "<group>"; };
		41AA0286279557C300597954 /* zh-Hans */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = "zh-Hans"; path = "zh-Hans.lproj/Main.strings"; sourceTree = "<group>"; };
		41AA0287279557C300597954 /* zh-Hans */ = {isa = PBXFileReference; lastKnownFileType = text.plist.strings; name = "zh-Hans"; path = "zh-Hans.lproj/LaunchScreen.strings"; sourceTree = "<group>"; };
		41B61B2C279ED11200F2AC54 /* INRecorderSetting.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = INRecorderSetting.swift; sourceTree = "<group>"; };
		4A426DD9275484DF00B3733B /* Introduce.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Introduce.app; sourceTree = BUILT_PRODUCTS_DIR; };
		4A426DDC275484DF00B3733B /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		4A426DE3275484DF00B3733B /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		4A426DE5275484E000B3733B /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		4A426DF12754A1E300B3733B /* INTabbarController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = INTabbarController.swift; sourceTree = "<group>"; };
		4A426DF42754A27D00B3733B /* INRecorderController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = INRecorderController.swift; sourceTree = "<group>"; };
		4A426DF92754A47700B3733B /* INPhotoVideosController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = INPhotoVideosController.swift; sourceTree = "<group>"; };
		4A426DFB2754A4B200B3733B /* INIntroduceController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = INIntroduceController.swift; sourceTree = "<group>"; };
		4A426DFD2754A4F600B3733B /* INVideoExportController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = INVideoExportController.swift; sourceTree = "<group>"; };
		4AFE6041277DCF500068BB5F /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		F6FE9FC563C2B8CC6005F8C8 /* Pods-Introduce.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Introduce.debug.xcconfig"; path = "Target Support Files/Pods-Introduce/Pods-Introduce.debug.xcconfig"; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		4A426DD6275484DF00B3733B /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				BFC6C47BC8163110D4E205C0 /* Pods_Introduce.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		176FF70F02BBAA82FCAFD349 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				3D67E85C017389B87957100F /* Pods_Introduce.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		4A426DD0275484DF00B3733B = {
			isa = PBXGroup;
			children = (
				4A426DDB275484DF00B3733B /* Introduce */,
				4A426DDA275484DF00B3733B /* Products */,
				D026B130A41514D0C394B80E /* Pods */,
				176FF70F02BBAA82FCAFD349 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		4A426DDA275484DF00B3733B /* Products */ = {
			isa = PBXGroup;
			children = (
				4A426DD9275484DF00B3733B /* Introduce.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		4A426DDB275484DF00B3733B /* Introduce */ = {
			isa = PBXGroup;
			children = (
				4A426DF02754A0D100B3733B /* Aarchitecture */,
				4A426DF82754A2F700B3733B /* Cloud */,
				4A426DF72754A2EE00B3733B /* Message */,
				4A426DF32754A26600B3733B /* Record */,
				4A426DE2275484DF00B3733B /* Main.storyboard */,
				4AFE6040277DCF500068BB5F /* LaunchScreen.storyboard */,
				4A426DE5275484E000B3733B /* Assets.xcassets */,
				41A112782766E12C0093BBF0 /* PQConfig.plist */,
				415C49D12763022900814766 /* Resources.bundle */,
				41AA02842795579600597954 /* InfoPlist.strings */,
			);
			path = Introduce;
			sourceTree = "<group>";
		};
		4A426DF02754A0D100B3733B /* Aarchitecture */ = {
			isa = PBXGroup;
			children = (
				4A426DDC275484DF00B3733B /* AppDelegate.swift */,
				4A426DF12754A1E300B3733B /* INTabbarController.swift */,
			);
			path = Aarchitecture;
			sourceTree = "<group>";
		};
		4A426DF32754A26600B3733B /* Record */ = {
			isa = PBXGroup;
			children = (
				4A426DF42754A27D00B3733B /* INRecorderController.swift */,
				4A426DF92754A47700B3733B /* INPhotoVideosController.swift */,
				4A426DFB2754A4B200B3733B /* INIntroduceController.swift */,
				4A426DFD2754A4F600B3733B /* INVideoExportController.swift */,
				2D80D52A2773528C00D24520 /* INAppConfigUtil.swift */,
				2D80D52C27741AC100D24520 /* Introduce-Bridging-Header.h */,
				41B61B2C279ED11200F2AC54 /* INRecorderSetting.swift */,
			);
			path = Record;
			sourceTree = "<group>";
		};
		4A426DF72754A2EE00B3733B /* Message */ = {
			isa = PBXGroup;
			children = (
			);
			path = Message;
			sourceTree = "<group>";
		};
		4A426DF82754A2F700B3733B /* Cloud */ = {
			isa = PBXGroup;
			children = (
			);
			path = Cloud;
			sourceTree = "<group>";
		};
		D026B130A41514D0C394B80E /* Pods */ = {
			isa = PBXGroup;
			children = (
				F6FE9FC563C2B8CC6005F8C8 /* Pods-Introduce.debug.xcconfig */,
				3051DB0957784182F3E1AAD3 /* Pods-Introduce.release.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		4A426DD8275484DF00B3733B /* Introduce */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 4A426DED275484E000B3733B /* Build configuration list for PBXNativeTarget "Introduce" */;
			buildPhases = (
				0B6E335E37508327721C79AA /* [CP] Check Pods Manifest.lock */,
				4A426DD5275484DF00B3733B /* Sources */,
				4A426DD6275484DF00B3733B /* Frameworks */,
				4A426DD7275484DF00B3733B /* Resources */,
				3DFC34400BF4E4EF0317FBD6 /* [CP] Embed Pods Frameworks */,
				147516E31A270E74CDD9FCDC /* [CP] Copy Pods Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = Introduce;
			productName = Introduce;
			productReference = 4A426DD9275484DF00B3733B /* Introduce.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		4A426DD1275484DF00B3733B /* Project object */ = {
			isa = PBXProject;
			attributes = {
				CLASSPREFIX = IN;
				LastSwiftUpdateCheck = 1310;
				LastUpgradeCheck = 1310;
				ORGANIZATIONNAME = BytesFlow;
				TargetAttributes = {
					4A426DD8275484DF00B3733B = {
						CreatedOnToolsVersion = 13.1;
						LastSwiftMigration = 1310;
					};
				};
			};
			buildConfigurationList = 4A426DD4275484DF00B3733B /* Build configuration list for PBXProject "Introduce" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
				ja,
				"zh-Hans",
				vi,
				"ko-KR",
			);
			mainGroup = 4A426DD0275484DF00B3733B;
			productRefGroup = 4A426DDA275484DF00B3733B /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				4A426DD8275484DF00B3733B /* Introduce */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		4A426DD7275484DF00B3733B /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				41A112792766E12C0093BBF0 /* PQConfig.plist in Resources */,
				41AA02822795579600597954 /* InfoPlist.strings in Resources */,
				4A426DE6275484E000B3733B /* Assets.xcassets in Resources */,
				4A426DE4275484DF00B3733B /* Main.storyboard in Resources */,
				4AFE6042277DCF500068BB5F /* LaunchScreen.storyboard in Resources */,
				415C49D22763022900814766 /* Resources.bundle in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		0B6E335E37508327721C79AA /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-Introduce-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		147516E31A270E74CDD9FCDC /* [CP] Copy Pods Resources */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Introduce/Pods-Introduce-resources-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Copy Pods Resources";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Introduce/Pods-Introduce-resources-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-Introduce/Pods-Introduce-resources.sh\"\n";
			showEnvVarsInLog = 0;
		};
		3DFC34400BF4E4EF0317FBD6 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Introduce/Pods-Introduce-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Introduce/Pods-Introduce-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-Introduce/Pods-Introduce-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		4A426DD5275484DF00B3733B /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				4A426DFA2754A47700B3733B /* INPhotoVideosController.swift in Sources */,
				4A426DDD275484DF00B3733B /* AppDelegate.swift in Sources */,
				2D80D52B2773528C00D24520 /* INAppConfigUtil.swift in Sources */,
				4A426DF52754A27D00B3733B /* INRecorderController.swift in Sources */,
				4A426DFE2754A4F600B3733B /* INVideoExportController.swift in Sources */,
				41B61B2D279ED11200F2AC54 /* INRecorderSetting.swift in Sources */,
				4A426DFC2754A4B200B3733B /* INIntroduceController.swift in Sources */,
				4A426DF22754A1E300B3733B /* INTabbarController.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		41AA02842795579600597954 /* InfoPlist.strings */ = {
			isa = PBXVariantGroup;
			children = (
				4198337B27955CCB00A430BC /* vi */,
				4198338C2795651400A430BC /* en */,
				4198338D2795663800A430BC /* zh-Hans */,
				4198338F2795663A00A430BC /* ja */,
				419833932795683500A430BC /* ko-KR */,
			);
			name = InfoPlist.strings;
			sourceTree = "<group>";
		};
		4A426DE2275484DF00B3733B /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				4A426DE3275484DF00B3733B /* Base */,
				41AA027E2795572300597954 /* ja */,
				41AA0286279557C300597954 /* zh-Hans */,
				4198337927955CCB00A430BC /* vi */,
				419833912795683400A430BC /* ko-KR */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		4AFE6040277DCF500068BB5F /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				4AFE6041277DCF500068BB5F /* Base */,
				41AA027F2795572300597954 /* ja */,
				41AA0287279557C300597954 /* zh-Hans */,
				4198337A27955CCB00A430BC /* vi */,
				419833922795683400A430BC /* ko-KR */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		4A426DEB275484E000B3733B /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_LOCALIZABILITY_NONLOCALIZED = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++17";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 10.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		4A426DEC275484E000B3733B /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_LOCALIZABILITY_NONLOCALIZED = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++17";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 10.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		4A426DEE275484E000B3733B /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = F6FE9FC563C2B8CC6005F8C8 /* Pods-Introduce.debug.xcconfig */;
			buildSettings = {
				ARCHS = arm64;
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				ASSETCATALOG_COMPILER_LAUNCHIMAGE_NAME = "";
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_IDENTITY = "Apple Development";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 20;
				DEVELOPMENT_TEAM = UH52C8A7SN;
				ENABLE_BITCODE = NO;
				EXCLUDED_ARCHS = "";
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = Introduce/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "视说";
				INFOPLIST_KEY_NSCameraUsageDescription = "点击\"允许\"，可进行拍摄录制";
				INFOPLIST_KEY_NSLocalNetworkUsageDescription = "点击\"允许\"，可联网生成字幕";
				INFOPLIST_KEY_NSMicrophoneUsageDescription = "点击\"允许\"，可进行录制配音";
				INFOPLIST_KEY_NSPhotoLibraryAddUsageDescription = "点击\"允许\"，可进入相册选取视频";
				INFOPLIST_KEY_NSPhotoLibraryUsageDescription = "点击\"允许\"，可进入相册选取视频";
				INFOPLIST_KEY_NSUserTrackingUsageDescription = "请放心,开启权限不会获取你在其他站点的隐私信息,该权限仅用于标识设备并保障服务安全与提升浏览体验";
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UIMainStoryboardFile = Main;
				INFOPLIST_KEY_UIStatusBarHidden = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations = UIInterfaceOrientationPortrait;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.1.1;
				PRODUCT_BUNDLE_IDENTIFIER = com.piaoquan.introduce;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_OBJC_BRIDGING_HEADER = "Introduce/Record/Introduce-Bridging-Header.h";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		4A426DEF275484E000B3733B /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 3051DB0957784182F3E1AAD3 /* Pods-Introduce.release.xcconfig */;
			buildSettings = {
				ARCHS = arm64;
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				ASSETCATALOG_COMPILER_LAUNCHIMAGE_NAME = "";
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_IDENTITY = "Apple Development";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 20;
				DEVELOPMENT_TEAM = UH52C8A7SN;
				ENABLE_BITCODE = NO;
				EXCLUDED_ARCHS = "";
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = Introduce/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "视说";
				INFOPLIST_KEY_NSCameraUsageDescription = "点击\"允许\"，可进行拍摄录制";
				INFOPLIST_KEY_NSLocalNetworkUsageDescription = "点击\"允许\"，可联网生成字幕";
				INFOPLIST_KEY_NSMicrophoneUsageDescription = "点击\"允许\"，可进行录制配音";
				INFOPLIST_KEY_NSPhotoLibraryAddUsageDescription = "点击\"允许\"，可进入相册选取视频";
				INFOPLIST_KEY_NSPhotoLibraryUsageDescription = "点击\"允许\"，可进入相册选取视频";
				INFOPLIST_KEY_NSUserTrackingUsageDescription = "请放心,开启权限不会获取你在其他站点的隐私信息,该权限仅用于标识设备并保障服务安全与提升浏览体验";
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UIMainStoryboardFile = Main;
				INFOPLIST_KEY_UIStatusBarHidden = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations = UIInterfaceOrientationPortrait;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.1.1;
				PRODUCT_BUNDLE_IDENTIFIER = com.piaoquan.introduce;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_OBJC_BRIDGING_HEADER = "Introduce/Record/Introduce-Bridging-Header.h";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		4A426DD4275484DF00B3733B /* Build configuration list for PBXProject "Introduce" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				4A426DEB275484E000B3733B /* Debug */,
				4A426DEC275484E000B3733B /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		4A426DED275484E000B3733B /* Build configuration list for PBXNativeTarget "Introduce" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				4A426DEE275484E000B3733B /* Debug */,
				4A426DEF275484E000B3733B /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 4A426DD1275484DF00B3733B /* Project object */;
}
